JNA API 3.3.0

## com.sun.jna
Interface NativeMapped

All Known Implementing Classes:
  BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, ByReference, ByteByReference, DoubleByReference, FloatByReference, IntByReference, IntegerType, LongByReference, NativeLong, NativeLongByReference, PointerByReference, PointerType, ShortByReference, Structure.FFIType.size_t, WinDef.DWORD, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HICON, WinDef.HINSTANCE, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.LONG, WinDef.LPARAM, WinDef.LRESULT, WinDef.UINT_PTR, WinDef.ULONGLONG, WinDef.WORD, WinDef.WPARAM, WinNT.HANDLE, WinNT.HANDLEByReference, WinNT.HRESULT, WinNT.PSIDByReference, WinReg.HKEY, WinReg.HKEYByReference, Winsvc.SC_HANDLE, WinUser.HHOOK, X11.Atom, X11.AtomByReference, X11.Colormap, X11.Cursor, X11.Display, X11.Drawable, X11.Font, X11.GC, X11.KeySym, X11.Pixmap, X11.Screen, X11.Visual, X11.VisualID, X11.Window, X11.WindowByReference, X11.XID, X11.XImage, X11.Xrender.PictFormat

    public interface NativeMapped

Provide conversion for a Java type to and from a native type. `Function` and `Structure` will use this interface to determine how to map a given Java object into a native type.

Implementations of this interface must provide a no-args constructor.

Author:
  wmeissner

Method Summary
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`Class` | `nativeType()` Indicate the native type used by this converter.
`Object` | `toNative()` Convert this object into a supported native type.

Method Detail

### fromNative

    Object fromNative(Object nativeValue,
                      FromNativeContext context)

  Convert the given native object into its Java representation using the given context.

### toNative

    Object toNative()

  Convert this object into a supported native type.

### nativeType

    Class nativeType()

  Indicate the native type used by this converter.

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.